Subject: RE: issue with grep [^]
From: "Jeff Jensen" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 25 Aug 2000 21:59:29 -0500

That was it - the NT issue.  (Silly I didn't think of trying in bash...I've
avoided it for the simple/smaller things because it is slower than the DOG
prompt.)

Earnie - it works for me in bash.

Thanks for the responses!

-----Original Message-----
From: Robert Praetorius [mailto:[email-masked]]
Sent: Friday, August 25, 2000 7:41 AM
To: Jeff Jensen
Cc: [email-masked]
Subject: Re: issue with grep [^]

> If I type:
>     cat x.txt | grep \\-[0-9]\)
> it works great - the lines containing it are correctly returned.
>
> But typing:
>     cat x.txt | grep \\-[^0-9]\)
> doesn't work - the same result occurs as the first case above, like the ^
is
> ignored.

     ^ is the quoting character for NT's CMD.EXE (bash doesn't exhibit
this problem).  Also note that CMD.EXE requires | must be double
quoted if you're passing it through a pipe (again bash doesn't need
this):

F:\temp>echo ^| | cat
The syntax of the command is incorrect.

F:\temp>echo ^^^| | cat
|

F:\temp>bash
$ echo \| | cat
|
$ echo \\\| | cat
\|

Follow start menu => help => Windows NT commands => command symbols
for docs on CMD.EXE's special characters.  Or just spend you time in
bash, which is friendlier and more featureful:-)

--
Want to unsubscribe from this list?
Send a message to [email-masked]